diff -ruNp kde-runtime-4.12.2-orig/kimgio/CMakeLists.txt kde-runtime-4.12.2/kimgio/CMakeLists.txt
--- kde-runtime-4.12.2-orig/kimgio/CMakeLists.txt	2014-01-29 01:51:48.000000000 -0500
+++ kde-runtime-4.12.2/kimgio/CMakeLists.txt	2014-02-15 08:55:36.000000000 -0500
@@ -9,6 +9,7 @@ include(KDE4Defaults)
 find_library(FOUND_WEBP webp)
 if ( FOUND_WEBP )
   set(kimg_webp_LIB_SRCS webp.cpp)
+  include_directories (${WEBP_INCLUDE_DIR})
   kde4_add_plugin(kimg_webp ${kimg_webp_LIB_SRCS})
   target_link_libraries(kimg_webp ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} webp)
 
diff -ruNp kde-runtime-4.12.2-orig/knotify/CMakeLists.txt kde-runtime-4.12.2/knotify/CMakeLists.txt
--- kde-runtime-4.12.2-orig/knotify/CMakeLists.txt	2014-01-29 01:51:48.000000000 -0500
+++ kde-runtime-4.12.2/knotify/CMakeLists.txt	2014-02-15 08:55:36.000000000 -0500
@@ -35,6 +35,8 @@ kde4_add_executable( knotify ${knotify_S
 
 kde4_add_library( knotifyplugin SHARED ${knotifyplugin_SRCS})
 
+set_target_properties( knotifyplugin PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
+
 
 if (Q_WS_MAC)
     set_target_properties(knotify PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_SOURCE_DIR}/Info.plist.template)
diff -ruNp kde-runtime-4.12.2-orig/kwalletd/CMakeLists.txt kde-runtime-4.12.2/kwalletd/CMakeLists.txt
--- kde-runtime-4.12.2-orig/kwalletd/CMakeLists.txt	2014-01-29 01:51:48.000000000 -0500
+++ kde-runtime-4.12.2/kwalletd/CMakeLists.txt	2014-02-15 08:55:36.000000000 -0500
@@ -16,7 +16,9 @@ add_subdirectory(backend)
 
 ########### kwalletd ###############
 
-include_directories(${CMAKE_CURRENT_SOURCE_DIR}/backend)
+include_directories(${CMAKE_CURRENT_SOURCE_DIR}/backend
+   ${BOOST_INCLUDEDIR}
+)
 
 add_definitions(-DKDE_DEFAULT_DEBUG_AREA=285)
 
diff -ruNp kde-runtime-4.12.2-orig/kwalletd/backend/CMakeLists.txt kde-runtime-4.12.2/kwalletd/backend/CMakeLists.txt
--- kde-runtime-4.12.2-orig/kwalletd/backend/CMakeLists.txt	2014-01-29 01:51:48.000000000 -0500
+++ kde-runtime-4.12.2/kwalletd/backend/CMakeLists.txt	2014-02-15 08:55:36.000000000 -0500
@@ -10,6 +10,8 @@ configure_file (config-kwalletbackend.h.
 
 ########### kwalletbackend ###############
 
+include_directories (${BOOST_INCLUDEDIR})
+
 set(kwalletbackend_LIB_SRCS
    blockcipher.cc
    blowfish.cc
diff -ruNp kde-runtime-4.12.2-orig/plasma/declarativeimports/core/CMakeLists.txt kde-runtime-4.12.2/plasma/declarativeimports/core/CMakeLists.txt
--- kde-runtime-4.12.2-orig/plasma/declarativeimports/core/CMakeLists.txt	2014-01-29 01:51:48.000000000 -0500
+++ kde-runtime-4.12.2/plasma/declarativeimports/core/CMakeLists.txt	2014-02-15 08:55:36.000000000 -0500
@@ -27,7 +27,7 @@ qt4_automoc(${corebindings_SRCS})
 
 
 
-add_library(corebindingsplugin SHARED ${corebindings_SRCS})
+add_library(corebindingsplugin MODULE ${corebindings_SRCS})
 target_link_libraries(corebindingsplugin ${KDE4_PLASMA_LIBS} ${QT_QTSCRIPT_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY} ${KDECLARATIVE_LIBRARIES})
 
 install(TARGETS corebindingsplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/plasma/core)
diff -ruNp kde-runtime-4.12.2-orig/plasma/declarativeimports/dirmodel/CMakeLists.txt kde-runtime-4.12.2/plasma/declarativeimports/dirmodel/CMakeLists.txt
--- kde-runtime-4.12.2-orig/plasma/declarativeimports/dirmodel/CMakeLists.txt	2014-01-29 01:51:48.000000000 -0500
+++ kde-runtime-4.12.2/plasma/declarativeimports/dirmodel/CMakeLists.txt	2014-02-15 08:57:31.000000000 -0500
@@ -7,7 +7,7 @@ set(dirmodel_SRCS
 
 qt4_automoc(${dirmodel_SRCS})
 
-kde4_add_library(dirmodelplugin SHARED ${dirmodel_SRCS})
+kde4_add_library(dirmodelplugin MODULE ${dirmodel_SRCS})
 target_link_libraries(dirmodelplugin
         ${QT_QTCORE_LIBRARY}
         ${QT_QTDECLARATIVE_LIBRARY}
diff -ruNp kde-runtime-4.12.2-orig/plasma/declarativeimports/draganddrop/CMakeLists.txt kde-runtime-4.12.2/plasma/declarativeimports/draganddrop/CMakeLists.txt
--- kde-runtime-4.12.2-orig/plasma/declarativeimports/draganddrop/CMakeLists.txt	2014-01-29 01:51:48.000000000 -0500
+++ kde-runtime-4.12.2/plasma/declarativeimports/draganddrop/CMakeLists.txt	2014-02-15 08:58:01.000000000 -0500
@@ -19,7 +19,7 @@ INCLUDE_DIRECTORIES(
 qt4_automoc(${declarativedragdrop_SRCS})
 
 
-kde4_add_library(draganddropplugin SHARED ${declarativedragdrop_SRCS})
+kde4_add_library(draganddropplugin MODULE ${declarativedragdrop_SRCS})
 target_link_libraries(draganddropplugin ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY})
 
 install(TARGETS draganddropplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/draganddrop)
diff -ruNp kde-runtime-4.12.2-orig/plasma/declarativeimports/graphicslayouts/CMakeLists.txt kde-runtime-4.12.2/plasma/declarativeimports/graphicslayouts/CMakeLists.txt
--- kde-runtime-4.12.2-orig/plasma/declarativeimports/graphicslayouts/CMakeLists.txt	2014-01-29 01:51:48.000000000 -0500
+++ kde-runtime-4.12.2/plasma/declarativeimports/graphicslayouts/CMakeLists.txt	2014-02-15 08:55:36.000000000 -0500
@@ -15,7 +15,7 @@ INCLUDE_DIRECTORIES(
 qt4_automoc(${graphicslayoutsbindings_SRCS})
 
 
-add_library(graphicslayoutsbindingsplugin SHARED ${graphicslayoutsbindings_SRCS})
+add_library(graphicslayoutsbindingsplugin MODULE ${graphicslayoutsbindings_SRCS})
 target_link_libraries(graphicslayoutsbindingsplugin ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTSCRIPT_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY})
 
 install(TARGETS graphicslayoutsbindingsplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/plasma/graphicslayouts)
diff -ruNp kde-runtime-4.12.2-orig/plasma/declarativeimports/graphicswidgets/CMakeLists.txt kde-runtime-4.12.2/plasma/declarativeimports/graphicswidgets/CMakeLists.txt
--- kde-runtime-4.12.2-orig/plasma/declarativeimports/graphicswidgets/CMakeLists.txt	2014-01-29 01:51:48.000000000 -0500
+++ kde-runtime-4.12.2/plasma/declarativeimports/graphicswidgets/CMakeLists.txt	2014-02-15 08:55:36.000000000 -0500
@@ -14,7 +14,7 @@ INCLUDE_DIRECTORIES(
 qt4_automoc(${graphicswidgetsbindings_SRCS})
 
 
-add_library(graphicswidgetsbindingsplugin SHARED ${graphicswidgetsbindings_SRCS})
+add_library(graphicswidgetsbindingsplugin MODULE ${graphicswidgetsbindings_SRCS})
 target_link_libraries(graphicswidgetsbindingsplugin ${KDE4_PLASMA_LIBS} ${QT_QTSCRIPT_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY})
 
 install(TARGETS graphicswidgetsbindingsplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/plasma/graphicswidgets)
diff -ruNp kde-runtime-4.12.2-orig/plasma/declarativeimports/krunnermodel/CMakeLists.txt kde-runtime-4.12.2/plasma/declarativeimports/krunnermodel/CMakeLists.txt
--- kde-runtime-4.12.2-orig/plasma/declarativeimports/krunnermodel/CMakeLists.txt	2014-01-29 01:51:48.000000000 -0500
+++ kde-runtime-4.12.2/plasma/declarativeimports/krunnermodel/CMakeLists.txt	2014-02-15 08:59:55.000000000 -0500
@@ -7,7 +7,7 @@ set(runnermodel_SRCS
 
 qt4_automoc(${runnermodel_SRCS})
 
-kde4_add_library(runnermodelplugin SHARED ${runnermodel_SRCS})
+kde4_add_library(runnermodelplugin MODULE ${runnermodel_SRCS})
 target_link_libraries(runnermodelplugin
         ${QT_QTCORE_LIBRARY}
         ${QT_QTDECLARATIVE_LIBRARY}
diff -ruNp kde-runtime-4.12.2-orig/plasma/declarativeimports/locale/CMakeLists.txt kde-runtime-4.12.2/plasma/declarativeimports/locale/CMakeLists.txt
--- kde-runtime-4.12.2-orig/plasma/declarativeimports/locale/CMakeLists.txt	2014-01-29 01:51:48.000000000 -0500
+++ kde-runtime-4.12.2/plasma/declarativeimports/locale/CMakeLists.txt	2014-02-15 08:58:26.000000000 -0500
@@ -17,7 +17,7 @@ INCLUDE_DIRECTORIES(
 qt4_automoc(${localebindings_SRCS})
 
 
-kde4_add_library(localebindingsplugin SHARED ${localebindings_SRCS})
+kde4_add_library(localebindingsplugin MODULE ${localebindings_SRCS})
 
 target_link_libraries(localebindingsplugin ${QT_QTDECLARATIVE_LIBRARY} ${KDE4_KDECORE_LIBRARY})
 
diff -ruNp kde-runtime-4.12.2-orig/plasma/declarativeimports/plasmacomponents/CMakeLists.txt kde-runtime-4.12.2/plasma/declarativeimports/plasmacomponents/CMakeLists.txt
--- kde-runtime-4.12.2-orig/plasma/declarativeimports/plasmacomponents/CMakeLists.txt	2014-01-29 01:51:48.000000000 -0500
+++ kde-runtime-4.12.2/plasma/declarativeimports/plasmacomponents/CMakeLists.txt	2014-02-15 08:58:48.000000000 -0500
@@ -21,7 +21,7 @@ INCLUDE_DIRECTORIES(
 qt4_automoc(${plasmacomponents_SRCS})
 
 
-add_library(plasmacomponentsplugin SHARED ${plasmacomponents_SRCS})
+add_library(plasmacomponentsplugin MODULE ${plasmacomponents_SRCS})
 target_link_libraries(plasmacomponentsplugin ${QT_QTCORE_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDEUI_LIBRARY} ${KDECLARATIVE_LIBRARIES} ${KDE4_PLASMA_LIBS})
 
 install(TARGETS plasmacomponentsplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/plasma/components)
diff -ruNp kde-runtime-4.12.2-orig/plasma/declarativeimports/plasmaextracomponents/CMakeLists.txt kde-runtime-4.12.2/plasma/declarativeimports/plasmaextracomponents/CMakeLists.txt
--- kde-runtime-4.12.2-orig/plasma/declarativeimports/plasmaextracomponents/CMakeLists.txt	2014-01-29 01:51:48.000000000 -0500
+++ kde-runtime-4.12.2/plasma/declarativeimports/plasmaextracomponents/CMakeLists.txt	2014-02-15 08:59:24.000000000 -0500
@@ -21,7 +21,7 @@ include_directories(
 qt4_automoc(${plasmaextracomponents_SRCS})
 
 
-add_library(plasmaextracomponentsplugin SHARED ${plasmaextracomponents_SRCS})
+add_library(plasmaextracomponentsplugin MODULE ${plasmaextracomponents_SRCS})
 target_link_libraries(plasmaextracomponentsplugin ${QT_QTCORE_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY}
                                                     ${QT_QTGUI_LIBRARY} ${KDE4_PLASMA_LIBS} ${KACTIVITIES_LIBRARY} )
 
diff -ruNp kde-runtime-4.12.2-orig/plasma/declarativeimports/qtextracomponents/CMakeLists.txt kde-runtime-4.12.2/plasma/declarativeimports/qtextracomponents/CMakeLists.txt
--- kde-runtime-4.12.2-orig/plasma/declarativeimports/qtextracomponents/CMakeLists.txt	2014-01-29 01:51:48.000000000 -0500
+++ kde-runtime-4.12.2/plasma/declarativeimports/qtextracomponents/CMakeLists.txt	2014-02-15 08:59:40.000000000 -0500
@@ -22,7 +22,7 @@ INCLUDE_DIRECTORIES(
 qt4_automoc(${qtextracomponents_SRCS})
 
 
-add_library(qtextracomponentsplugin SHARED ${qtextracomponents_SRCS})
+add_library(qtextracomponentsplugin MODULE ${qtextracomponents_SRCS})
 target_link_libraries(qtextracomponentsplugin ${KDE4_KDEUI_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY})
 
 install(TARGETS qtextracomponentsplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/qtextracomponents)
